Bug 17625 - 245f and 245g are not displayed in XSLT
Summary: 245f and 245g are not displayed in XSLT
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Joy Nelson
QA Contact: Josef Moravec
URL: Ah
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-11-14 20:49 UTC by Joy Nelson
Modified: 2018-09-21 14:02 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Subfield $f and $g are not displayed to the right as expected. (40.44 KB, image/png)
2016-11-14 20:49 UTC, Joy Nelson
Details
My Keyword to MARC Mapping (49.56 KB, image/png)
2016-11-14 20:49 UTC, Joy Nelson
Details
Bug 17625: adding subfields f and g to XSLT display (4.32 KB, patch)
2018-06-22 19:01 UTC, Joy Nelson
Details | Diff | Splinter Review
Staff details display (50.16 KB, image/jpeg)
2018-08-17 23:30 UTC, Cab Vinton
Details
Bug 17625: adding subfields f and g to XSLT display (4.36 KB, patch)
2018-08-17 23:30 UTC, sandboxes@biblibre.com
Details | Diff | Splinter Review
Bug 17625: adding subfields f and g to XSLT display (4.42 KB, patch)
2018-08-21 15:56 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Joy Nelson 2016-11-14 20:49:22 UTC
Created attachment 57470 [details]
Subfield $f and $g are not displayed to the right as expected.

I have mapped the 245$f and 245$g to the subtitle in Keyword to MARC mapping. However those two fields are not displayed as expected to the right of the title.

Two screenshots attached. One showing I mapped all 245 subfields to subtitle.
One showing a bib where I added data in all subfields and how they are displayed.  Missing 245$f and 245$g
Comment 1 Joy Nelson 2016-11-14 20:49:52 UTC
Created attachment 57471 [details]
My Keyword to MARC Mapping
Comment 2 Katrin Fischer 2018-06-20 18:23:37 UTC
Just an idea - have you checked the visilibity settings in the framework configuration for those 2 fields?
Comment 3 Joy Nelson 2018-06-20 18:36:17 UTC
Hi Katrin, They are set to show in the frameworks.  In the xslt it appears the f subfield was removed by bug 13881?  I'm planning on submitting a patch for this.  Can you think of anything else that I might be missing?

-joy  


(In reply to Katrin Fischer from comment #2)
> Just an idea - have you checked the visilibity settings in the framework
> configuration for those 2 fields?
Comment 4 Katrin Fischer 2018-06-20 18:47:21 UTC
Ah right, I think the keywords to marc mapping doesn't work on the xslt detail view?
Comment 5 Joy Nelson 2018-06-22 17:46:28 UTC
(In reply to Katrin Fischer from comment #4)
> Ah right, I think the keywords to marc mapping doesn't work on the xslt
> detail view?

I verified that.  The Keyword to Marc mapping is for non xslt display. I'll change the title on this bug.  The issue I'm having is indeed with XSLT
Comment 6 Joy Nelson 2018-06-22 19:01:54 UTC
Created attachment 76302 [details] [review]
Bug 17625: adding subfields f and g to XSLT display

Adding 245$f and 245$g to the Results and Detail pages on OPAC and staff side

Signed-off-by: Joy Nelson <joy@bywatersolutions.com>
Comment 7 Joy Nelson 2018-06-22 19:18:14 UTC
To test:
This patch updates the display of the title subfields in the
XSLT display in the staff and OPAC.

Display includes added subfields f and g

To test:

* Have a title or two with 245 subfields f and g already in the record.
* Verify on OPAC and Staff side that subfields f and g do not appear in search results or Details Display
* Apply the patch
* Search the opac for title used above
* Verify subfields f and g display properly
* Click a title 
* Make sure the fields display properly
* Repeat for a few more titles
* Repeat in the Staff Client
Comment 8 Cab Vinton 2018-08-17 23:29:04 UTC
All works as expected under Sandbox 11.

Note that w/ the details page in the staff client each subfield appears on a new line rather to the right of the title (see attachment).

Signing off as this seems minor.
Comment 9 sandboxes@biblibre.com 2018-08-17 23:30:15 UTC
Patch tested with a sandbox, by Cab Vinton <bibliwho@gmail.com>
Comment 10 Cab Vinton 2018-08-17 23:30:49 UTC
Created attachment 78003 [details]
Staff details display
Comment 11 sandboxes@biblibre.com 2018-08-17 23:30:52 UTC
Created attachment 78004 [details] [review]
Bug 17625: adding subfields f and g to XSLT display

Adding 245$f and 245$g to the Results and Detail pages on OPAC and staff side

Signed-off-by: Joy Nelson <joy@bywatersolutions.com>

Signed-off-by: Cab Vinton <bibliwho@gmail.com>
Comment 12 Josef Moravec 2018-08-21 15:56:49 UTC
Created attachment 78046 [details] [review]
Bug 17625: adding subfields f and g to XSLT display

Adding 245$f and 245$g to the Results and Detail pages on OPAC and staff side

Signed-off-by: Joy Nelson <joy@bywatersolutions.com>

Signed-off-by: Cab Vinton <bibliwho@gmail.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 13 Nick Clemens 2018-08-22 14:59:30 UTC
Awesome work all!

Pushed to master for 18.11
Comment 14 Martin Renvoize 2018-08-24 12:39:43 UTC
Pushed to 18.05.x for 18.05.03
Comment 15 Fridolin SOMERS 2018-09-21 14:02:15 UTC
Pushed to 17.11.x for 17.11.10